@import url('https://fonts.googleapis.com/css2?family=Fira+Sans:wght@200;400&family=Open+Sans:wght@600&display=swap');

* {
  box-sizing: border-box;
  z-index: 1;
}

:root {
  --color-light: 255, 255, 255;
  --color-lighter: rgba(var(--color-light), 0.6);
  --color-lightest: rgba(var(--color-light), 0.15);
  --color-dark: #0D191C;
}

body {
  background: #112226;
  background: -webkit-linear-gradient(45deg, #112226 0%, #091113 100%);
  background: linear-gradient(45deg, #112226 0%, #091113 100%);
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#112226', endColorstr='#091113', GradientType=1);
  position: relative;
  font-family: 'Fira Sans', sans-serif;
  font-weight: 200;
  color: rgb(var(--color-light));
  border-left: 1px solid var(--color-lightest);
  border-right: 1px solid var(--color-lightest);
  margin: 0 5%;
  cursor: url(cursor.png) 43 43, auto
}

@media (min-width: 1500px) {
  body {
    margin: 0 auto;
    max-width: 1300px;
  }
}

@media (max-width: 1142px) {
  body {
    margin: 0 40px;
  }
}

@media (max-width: 900px) {
  body {
    margin: 0 20px;
  }
}

.stripe {
  position: absolute;
  width: 34.4%;
  height: 100%;
  top: 0;
  z-index: 0;
  left: 34.4%;
  border-left: 1px solid var(--color-lightest);
  border-right: 1px solid var(--color-lightest);
}

@media(max-width: 800px) {
  .stripe {
    left: 50%;
    border-right: 0;
  }
}

header {
  padding: 40px 0;
}

section {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
}

section:last-of-type {
  margin-bottom: 100px;
}

.logo {
  display: block;
  width: 295px;
  height: 75px;
  background: url('logo.svg') no-repeat center;
  background-size: contain;
  margin-left: -20px;
  cursor: url(cursor.png) 43 43, auto
}

@media(max-width: 900px) {
  .logo {
    margin-left: 0;
  }
}

@media(max-width: 579px) {
  .logo {
    margin-left: -20px;
    width: 280px;
    height: 71px;
  }
}

.logo:hover {
  -webkit-animation: logo .3s infinite;
          animation: logo .3s infinite;
}

@-webkit-keyframes logo {
  from, to {
    background: url('logo.svg') no-repeat center;
  }

  20% {
    background: url('logo1.svg') no-repeat center;
  }

  40% {
    background: url('logo2.svg') no-repeat center;
  }

  60% {
    background: url('logo3.svg') no-repeat center;
  }

  80% {
    background: url('logo4.svg') no-repeat center;
  }
}

@keyframes logo {
  from, to {
    background: url('logo.svg') no-repeat center;
  }

  20% {
    background: url('logo1.svg') no-repeat center;
  }

  40% {
    background: url('logo2.svg') no-repeat center;
  }

  60% {
    background: url('logo3.svg') no-repeat center;
  }

  80% {
    background: url('logo4.svg') no-repeat center;
  }
}

.one-column {
  width: calc(34.4% - 3.2%);
}

.one-column--full {
  width: 34.4%;
}

@media(max-width: 800px) {
  .about-me .one-column:first-of-type {
    display: none;
  }

  .one-column {
    width: 49.9%;
  }
}

@media(max-width: 579px) {
  .one-column {
    width: 100%;
  }
}

.one-column p {
  padding-right: 0;
}

.one-column--full p {
  padding-right: 3.4%;
}

.two-column {
  width: calc(34.4% * 2);
}

.three-column {
  width: 100%;
}

h1, h2 {
  margin: 0;
}

h1 {
  font-size: 72px;
  font-weight: 400;
}

h2, h3 {
  font-family: 'Open Sans', sans-serif;
  font-weight: 600;
  font-size: 24px;
  color: var(--color-lighter);
  text-transform: uppercase;
  margin-bottom: 50px;
  line-height: 34px;
}

p {
  font-size: 24px;
  line-height: 34px;
}

@media (max-width: 1142px) {
  h1 {
    font-size: 54px;
  }

  h2, h3 {
    font-size: 19px;
    line-height: 29px;
  }

  p {
    font-size: 19px;
    line-height: 26px;
  }
}

@media (max-width: 900px) {
  h1 {
    font-size: 50px;
  }

  h2, h3 {
    font-size: 18px;
    line-height: 28px;
  }

  p {
    font-size: 17px;
    line-height: 24px;
  }
}

@media(max-width: 579px) {
  h1 {
    font-size: 39px;
  }

  h2, h3 {
    font-size: 16px;
    line-height: 24px;
    margin-bottom: 20px;
  }

  p {
    font-size: 16px;
    line-height: 22px;
  }
}

@media(max-width: 371px) {
  h1 {
    font-size: 32px;
  }
}

section {
  margin-top: 50px;
}

@media(max-width: 579px) {
  section {
    margin-top: 20px;
  }
}

@media(max-width: 800px) {
  .texts {
    width: 50%;
    padding: 3.4%;
  }

  .tags {
    padding: 3.4%;
  }
}

@media(max-width: 579px) {
  .texts {
    width: 50%;
    padding: 3.4% 3.4% 0;
  }

  .tags {
    padding: 3.4%;
  }
}

.portfolio__item {
  width: 31.2%;
  padding-right: 3.2%;
  box-sizing: content-box;
  position: relative;
  text-decoration: none;
  color: var(--color-light);
  cursor: url(cursor-hover.png) 43 43, auto
}

.portfolio__item:nth-of-type(3n+3) {
  padding-right: 0;
}

@media(max-width: 800px) {
  .portfolio__item {
    width: 100%;
    padding-right: 0;
    box-sizing: border-box;
    background: url('border-mobile.svg') no-repeat center right;
    background-size: calc(100% - 1px) calc(100%);
  }
}

@media(max-width: 579px) {
  .portfolio__item {
    margin-bottom: 40px !important;
  }
}

.item-inner {
  width: 100%;
  height: 100%;
  padding: 7.7% 7.7% calc(7.7% - 4px);
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  -webkit-transition: -webkit-transform .5s;
  transition: -webkit-transform .5s;
  transition: transform .5s;
  transition: transform .5s, -webkit-transform .5s;
  position: relative;
}

@media(max-width: 800px) {
  .item-inner {
    padding: 0;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
  }
}

.item-inner h3 {
  color: var(--color-light);
  margin: 0;
}

@media(max-width: 579px) {
  .item-inner h3 {
    font-size: 17px;
    line-height: 19px;
  }
}

.tags {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  -webkit-box-align: end;
      -ms-flex-align: end;
          align-items: flex-end;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
}

@media(max-width: 800px) {
  .tags {
    max-width: 49%;
  }
}

@media(max-width: 449px) {
  .item-inner {
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
  }
}

.item-inner span {
  background: rgba(var(--color-light));
  padding: 5px 10px;
  color: var(--color-dark);
  font-family: 'Open Sans', sans-serif;
  font-weight: 600;
  font-size: 12px;
  line-height: 12px;
  text-transform: uppercase;
  border-radius: 100px;
  margin-right: 10px;
  margin-bottom: 4px;
  white-space: nowrap;
}

@media(max-width: 900px) {
  .item-inner span {
    font-size: 10px;
    line-height: 10px;
  }
}

@media(max-width: 579px) {
  .item-inner span {
    background: none;
    padding: 0;
    color: var(--color-light);
  }
}

.item-inner span:last-of-type {
  margin-right: 0;
}

.item-inner p {
  margin: 7.7% 0 0;
}

@media(max-width: 449px) {
  .item-inner p {
    display: none;
  }
}

.item--border .item-inner {
  background: url('border.svg') no-repeat center;
  background-size: 100% calc(100%);
}

@media(max-width: 800px) {
  .item--border .item-inner {
    background: none;
  }
}

.item-inner img {
  position: absolute;
  left: 2px;
  top: 2px;
  width: calc(100% - 4px);
  height: calc(100% - 4px);
  opacity: 0;
  -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
  -webkit-transition: opacity .3s;
  transition: opacity .3s;
}

@media(max-width: 800px) {
  .item-inner img {
    width: 49.6%;
    height: calc(100% - 6px);
    opacity: 1;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=100)";
    position: static;
    margin-top: 3px;
    margin-left: 3px;
  }
}

.item--background .item-inner {
  background: #9d6fff;
  background: -webkit-linear-gradient(45deg, #9d6fff 0%, #0c57c8 100%);
  background: linear-gradient(45deg, #9d6fff 0%, #0c57c8 100%);
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#9d6fff', endColorstr='#0c57c8', GradientType=1);
}

@media(min-width: 801px) {
  .item-inner:hover>* {
    opacity: 0;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
  }

  .item-inner:hover img {
    opacity: 1;
    -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=100)";
  }

  .item--background .item-inner:hover {
    background: url('border.svg') no-repeat center;
    background-size: 100% calc(100%);
  }
}

@media(max-width: 800px) {
  .item--background .item-inner {
    background: none;
  }
}

footer {
  padding: 100px 0;
  width: 100%;
  position: relative;
}

@media(max-width: 800px) {
  footer {
    padding: 40px 0;
  }
}

footer a {
  font-family: 'Open Sans', sans-serif;
  font-weight: 600;
  font-size: 24px;
  text-transform: uppercase;
  margin-right: 3.4%;
  color: white;
  text-decoration: none;
  z-index: 2;
  cursor: url(cursor-small.png) 43 43, auto
}

footer a:last-of-type {
  display: block;
  font-family: 'Fira Sans', sans-serif;
  font-weight: 200;
  text-transform: none;
  margin-top: 40px;
}

@media (max-width: 1142px) {
  footer a {
    font-size: 19px;
    line-height: 29px;
  }
}

@media (max-width: 900px) {
  footer a {
    font-size: 18px;
    line-height: 28px;
  }
}

@media(max-width: 579px) {
  footer a {
    font-size: 16px;
    line-height: 24px;
    margin-bottom: 20px;
  }
}

footer a:hover {
  background: #9d6fff;
  background: -webkit-linear-gradient(45deg, #9d6fff 0%, #0c57c8 100%);
  background: linear-gradient(45deg, #9d6fff 0%, #0c57c8 100%);
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#9d6fff', endColorstr='#0c57c8', GradientType=1);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}
